local function skin_Blizzard_IslandsPartyPoseUI()

hooksecurefunc(IslandsPartyPoseFrame,"SetRewards",function()
		IslandsPartyPoseFrame.OverlayElements.Topper:Hide()
		IslandsPartyPoseFrame.Border.TopLeftCorner:Hide()
		IslandsPartyPoseFrame.Border.TopRightCorner:Hide()
		IslandsPartyPoseFrame.Border.BottomLeftCorner:Hide()
		IslandsPartyPoseFrame.Border.BottomRightCorner:Hide()
		IslandsPartyPoseFrame.Border.LeftEdge:Hide()
		IslandsPartyPoseFrame.Border.RightEdge:Hide()
		IslandsPartyPoseFrame.Border.BottomEdge:Hide()
		IslandsPartyPoseFrame.Border.TopEdge:Hide()
		IslandsPartyPoseFrame.Background:SetTexture("Interface\\FrameGeneral\\UI-Background-Marble.BLP")
		IslandsPartyPoseFrame.ModelScene.Bg:Hide()
		IslandsPartyPoseFrame.RewardAnimations.RewardFrame.NameFrame:Hide()
		IslandsPartyPoseFrame.RewardAnimations.RewardFrame.IconBorder:SetTexture("Interface\\ContainerFrame\\quality.blp")
		IslandsPartyPoseFrame.RewardAnimations.RewardFrame.IconBorder:SetTexture("Interface\\ContainerFrame\\quality.blp")
		m_border(IslandsPartyPoseFrame,810,590,"CENTER",0,0,14,"TOOLTIP")
	end)
end

local catchaddon = CreateFrame("FRAME")
catchaddon:RegisterEvent("ADDON_LOADED")

--function to catch loading addons
local function skinnedOnLoad(_, _, addon)
	if addon == "Blizzard_IslandsPartyPoseUI" then
		skin_Blizzard_IslandsPartyPoseUI()
	end
end

--this function decides whether the addon is already loaded or if we need to look out for it!

local function skinnedOnLogin()
	if IsAddOnLoaded("Blizzard_IslandsPartyPoseUI") then
		-- Addon is already loaded, procceed to skin!
		skin_Blizzard_IslandsPartyPoseUI()
	else
		-- Addon is not loaded yet, procceed to look out for it!
		catchaddon:SetScript("OnEvent", skinnedOnLoad)
	end
end

local HelloWorld = CreateFrame("FRAME")
HelloWorld:RegisterEvent("PLAYER_ENTERING_WORLD")
HelloWorld:SetScript("OnEvent", skinnedOnLogin)