local function skin_Blizzard_IslandsQueueUI()

IslandsQueueFrame.ArtOverlayFrame.portrait:SetTexCoord(0.15, 0.85, 0.15, 0.85)
IslandsQueueFrame.ArtOverlayFrame.LeftProp:Hide()
IslandsQueueFrame.ArtOverlayFrame.RightProp:Hide()
IslandsQueueFrame.TitleBanner.Banner:Hide()
IslandsQueueFrame.LeftWoodBorder:Hide()
IslandsQueueFrame.TopWoodBorder:Hide()
IslandsQueueFrame.RightWoodBorder:Hide()
IslandsQueueFrame.BottomWoodBorder:Hide()
IslandsQueueFrame.TopRightWoodCorner:Hide()
IslandsQueueFrame.BottomRightWoodCorner:Hide()
IslandsQueueFrame.BottomLeftWoodCorner:Hide()
IslandsQueueFrame.DifficultySelectorFrame.Background:Hide()
IslandsQueueFrame.HelpButton.Ring:SetAlpha(0)

m_fontify(IslandsQueueFrame.TutorialFrame.TutorialText,"white")
IslandsQueueFrame.TutorialFrame.Background:SetTexture("Interface\\FrameGeneral\\UI-Background-Marble.BLP")
m_border(IslandsQueueFrame.TutorialFrame,364,378,"CENTER",0,0,14,"HIGH")


m_border(IslandsQueueFrame.WeeklyQuest.StatusBar,522,26,"CENTER",0,0,14,"HIGH")
m_border(IslandsQueueFrame.WeeklyQuest.QuestReward,32,32,"CENTER",2,0,14,"TOOLTIP")
IslandsQueueFrame.WeeklyQuest.OverlayFrame.Bar:Hide()
IslandsQueueFrame.WeeklyQuest.QuestReward.CircleMask:Hide()
IslandsQueueFrame.WeeklyQuest.QuestReward.Icon:SetTexCoord(0.15, 0.85, 0.15, 0.85)


hooksecurefunc(IslandsQueueFrame.DifficultySelectorFrame,"RefreshDifficultyButtons",function(self)
	for i=1,self:GetNumChildren() do
	one=select(i,self:GetChildren())
		if one.NormalTexture then
			one.NormalTexture:SetAlpha(1)
			one.NormalTexture:SetTexCoord(0.25, 0.75, 0.25, 0.75)
		end
		if one.SelectedTexture then
			one.SelectedTexture:ClearAllPoints()
			one.SelectedTexture:SetPoint("CENTER",one,-0.5,0)
			one.SelectedTexture:SetTexture("Interface\\Containerframe\\quality.blp")
			one.SelectedTexture:SetSize(44,44)
			one.SelectedTexture:SetVertexColor(miirguiDB.color.r,miirguiDB.color.g,miirguiDB.color.b,1)
		end
		if one.NormalTexture then
			one.NormalTexture:SetAlpha(1)
			one.NormalTexture:SetTexCoord(0.25, 0.75, 0.25, 0.75)
		end
		if one.Highlight then
			one.Highlight:SetSize(46,46)
		end
	end
end)

end

local catchaddon = CreateFrame("FRAME")
catchaddon:RegisterEvent("ADDON_LOADED")

--function to catch loading addons
local function skinnedOnLoad(_, _, addon)
	if addon == "Blizzard_IslandsQueueUI" then
		skin_Blizzard_IslandsQueueUI()
	end
end

--this function decides whether the addon is already loaded or if we need to look out for it!

local function skinnedOnLogin()
	if IsAddOnLoaded("Blizzard_IslandsQueueUI") then
		-- Addon is already loaded, procceed to skin!
		skin_Blizzard_IslandsQueueUI()
	else
		-- Addon is not loaded yet, procceed to look out for it!
		catchaddon:SetScript("OnEvent", skinnedOnLoad)
	end
end

local HelloWorld = CreateFrame("FRAME")
HelloWorld:RegisterEvent("PLAYER_ENTERING_WORLD")
HelloWorld:SetScript("OnEvent", skinnedOnLogin)