local function skin_Blizzard_ItemSocketingUI()

	-- code by ruubek
	
	ItemSocketingFrameCloseButton:SetFrameStrata("HIGH")
	for i=7,39 do
		local hideit = select(i,ItemSocketingFrame:GetRegions())
		hideit:Hide()
	end
	
	select(6,ItemSocketingFrame:GetRegions()):SetPoint("TOP",ItemSocketingFrame,0,-5)
	
	-- end code by ruubek
	
	ItemSocketingFramePortrait:SetTexCoord(0.85, 0.15, 0.15, 0.85)
	ItemSocketingSocketButton:ClearAllPoints()
	ItemSocketingSocketButton:SetPoint("BOTTOM",ItemSocketingFrame,0,6)
	m_border(ItemSocketingFrameInset,332,364,"TOP",0,2,14,"MEDIUM")

end

local catchaddon = CreateFrame("FRAME")
catchaddon:RegisterEvent("ADDON_LOADED")

--function to catch loading addons
local function skinnedOnLoad(_, _, addon)
	if addon == "Blizzard_ItemSocketingUI" then
		skin_Blizzard_ItemSocketingUI()
	end
end

--this function decides whether the addon is already loaded or if we need to look out for it!

local function skinnedOnLogin()
	if IsAddOnLoaded("Blizzard_ItemSocketingUI") then
		-- Addon is already loaded, procceed to skin!
		skin_Blizzard_ItemSocketingUI()
	else
		-- Addon is not loaded yet, procceed to look out for it!
		catchaddon:SetScript("OnEvent", skinnedOnLoad)
	end
end

local HelloWorld = CreateFrame("FRAME")
HelloWorld:RegisterEvent("PLAYER_ENTERING_WORLD")
HelloWorld:SetScript("OnEvent", skinnedOnLogin)