local function skin_QuestFrame()
	GossipFrameCloseButton:SetFrameStrata("HIGH")
	QuestFrameCloseButton:SetFrameStrata("HIGH")
	WorldMapFrameCloseButton:SetFrameStrata("TOOLTIP")
	WorldMapFrame.BorderFrame.MaximizeMinimizeFrame.MaximizeButton:SetFrameStrata("TOOLTIP")
	WorldMapFrame.BorderFrame.MaximizeMinimizeFrame.MinimizeButton:SetFrameStrata("TOOLTIP")
	QuestFramePortrait:SetTexCoord(0.85, 0.15, 0.15, 0.85)
	QuestFramePortrait:SetSize(66,66)
	QuestFramePortrait:SetPoint("TOPLEFT",-9,10)

	m_SetTexture(WorldMapFramePortrait,"Interface\\Addons\\miirgui\\gfx\\quest.blp")
	WorldMapFramePortrait:SetSize(66,66)
	WorldMapFramePortrait:SetPoint("TOPLEFT",-9,9)

	QuestMapDetailsScrollFrameScrollBarTrack:SetAlpha(0)
	QuestNPCModelTopBorder:SetAlpha(0)
	QuestNPCModelLeftBorder:SetAlpha(0)
	QuestNPCModelRightBorder:SetAlpha(0)
	QuestNPCModelBottomBorder:SetAlpha(0)
	QuestNPCModelBotLeftCorner:SetAlpha(0)
	QuestNPCModelBotRightCorner:SetAlpha(0)
	QuestNPCModelTextBottomBorder:SetAlpha(0)
	QuestNPCModelTextLeftBorder:SetAlpha(0)
	QuestNPCModelTextRightBorder:SetAlpha(0)
	QuestNPCModelTextBotRightCorner:SetAlpha(0)
	QuestNPCModelTextBotLeftCorner:SetAlpha(0)
	QuestNPCModelNameplate:SetAlpha(0)
	QuestNPCModelShadowOverlay:SetAlpha(0)
	QuestNPCModelTopBg:SetAlpha(0)
	--QuestNPCModelBg:ClearAllPoints()
	--QuestNPCModelBg:SetPoint("TOPLEFT","QuestNPCModel",0,16)
	--QuestNPCModelBg:SetPoint("BOTTOMRIGHT","QuestNPCModel",0,-86)

	m_fontify(QuestNPCModelText,"white")
	--m_border(QuestNPCModel,202,336,"CENTER",1,-34,14,"MEDIUM")
	m_border(QuestFrame,330,412,"CENTER",-1,-17,14,"MEDIUM")
	m_border(QuestLogPopupDetailFrame,330,412,"CENTER",-1,-17,14,"MEDIUM")
	m_border(GossipFrame,330,412,"CENTER",-1,-17,14,"MEDIUM")

	m_fontify(QuestNPCModelNameText,"color")
	m_fontify(QuestInfoSkillPointFrame.ValueText,"white")
	m_fontify(QuestInfoMoneyFrameGoldButtonText,"white")
	m_fontify(QuestInfoMoneyFrameSilverButtonText,"white")
	m_fontify(QuestInfoMoneyFrameCopperButtonText,"white")
	m_fontify(QuestInfoXPFrame.ValueText,"white")
	m_fontify(QuestFont,"white")

	local _,_,QuestMapFrameDetailsFrameRewardsFrameHeader= QuestMapFrame.DetailsFrame.RewardsFrame:GetRegions()
	m_fontify(QuestMapFrameDetailsFrameRewardsFrameHeader,"color")

	local function miirgui_GossipFrameUpdate()
		GossipFramePortrait:SetTexCoord(0.85, 0.15, 0.15, 0.85)
		GossipFramePortrait:SetSize(66,66)
		GossipFramePortrait:SetPoint("TOPLEFT",-9,10)
		m_fontify(GossipGreetingText,"white")
		for i=1, 32 do
			local button = _G["GossipTitleButton"..i]
			if button:GetFontString() then
				m_fontify(button:GetFontString(),"white")
				if button:GetFontString():GetText() and button:GetFontString():GetText():find("|cff000000") then
					button:GetFontString():SetText(string.gsub(button:GetFontString():GetText(), "|cff000000", "|cffffffff"))
				end
			end
		end
	end

	hooksecurefunc("GossipFrameUpdate",miirgui_GossipFrameUpdate)

	local function miirgui_QuestInfo_ShowObjectives()
		for i=1,QuestInfoObjectivesFrame:GetNumRegions() do
			local objective=select(i,QuestInfoObjectivesFrame:GetRegions())
			
			local r, g, b = objective:GetTextColor()
			local red = floor(r * 255 )
			local green = floor(g * 255 )
			local blue = floor(b * 255 )

			if red == 0 and green == 0 and blue == 0 then
				m_fontify(objective,"grey")
			elseif  red == 50 and green == 50 and blue == 50 then
				m_fontify(objective,"green")
			end
		end	
	end

	hooksecurefunc("QuestInfo_Display",miirgui_QuestInfo_ShowObjectives)

	local function miirgui_q_fonts()
		m_fontify(QuestInfoTitleHeader,"color")
		m_fontify(QuestInfoDescriptionHeader,"color")
		m_fontify(QuestInfoObjectivesHeader,"color")
		m_fontify(QuestInfoDescriptionText,"white")
		m_fontify(QuestInfoObjectivesText,"white")
		m_fontify(QuestInfoGroupSize,"white")
		m_fontify(QuestInfoRewardText,"white")
		m_fontify(QuestInfoRewardsFrame.Header,"color")
		m_fontify(QuestInfoRewardsFrame.ItemReceiveText,"white")
	end

	QuestFrame:HookScript("OnShow",miirgui_q_fonts)
	QuestInfoObjectivesFrame:HookScript("OnShow",miirgui_q_fonts)
	QuestMapFrame.DetailsFrame:HookScript("OnShow",miirgui_q_fonts)
	QuestLogPopupDetailFrame:HookScript("OnShow",miirgui_q_fonts)
	QuestFrameRewardPanel:HookScript("OnShow",miirgui_q_fonts)
	QuestFrameDetailPanel:HookScript("OnShow",miirgui_q_fonts)

	MapQuestInfoRewardsFrame:HookScript("OnShow",function(self)
		local _,_,_,willlearn=self:GetRegions() -- You will learn the following
			if willlearn then
			m_fontify(willlearn,"white")
		end
		m_fontify(self.ItemReceiveText,"white")
		m_fontify(MapQuestInfoRewardsFramePoints,"white")
		m_fontify(MapQuestInfoRewardsFrameQuestInfoItem1.Name,"white")
		m_fontify(self.SkillPointFrame.Name,"white")
		m_fontify(self.XPFrame.Name,"white")
		m_fontify(self.MoneyFrame.Name,"white")
		m_fontify(self.ItemChooseText,"white")
	end)

	QuestInfoRewardsFrame:HookScript("OnShow",function(self)
		m_fontify(self.Header,"color")
		m_fontify(self.PlayerTitleText,"white")
		m_fontify(self.XPFrame.ReceiveText,"white")
		m_fontify(self.ItemReceiveText,"white")
		m_fontify(self.ItemChooseText,"white")
		local _,_,_,_,QuestInfoRewardsFramewilllearn = self:GetRegions()
		if QuestInfoRewardsFramewilllearn ~= nil then
			m_fontify(QuestInfoRewardsFramewilllearn,"white")
		end
		self.ArtifactXPFrame.Overlay:SetAlpha(0)
		end)

	local function miirgui_QuestFrameProgressItems_Update()
		m_fontify(QuestProgressTitleText,"color")
		m_fontify(QuestProgressText,"white")
		m_fontify(QuestProgressRequiredItemsText,"color")
		m_fontify(QuestProgressRequiredMoneyText,"white")
	end

	hooksecurefunc("QuestFrameProgressItems_Update", miirgui_QuestFrameProgressItems_Update)
	
	
	local function miirgui_greetings_panel()
		--[[local numActiveQuests = GetNumActiveQuests();
		local numAvailableQuests = GetNumAvailableQuests();
		lastTitleButton = nil;
		for i=(numActiveQuests + 1), (numActiveQuests + numAvailableQuests) do
			local questTitleButton = QuestFrameGreetingPanel.titleButtonPool:Acquire();
			questTitleButton:SetFormattedText(NORMAL_QUEST_DISPLAY, GetAvailableTitle(i - numActiveQuests));
			questTitleButton.Icon:SetVertexColor(1,1,1);
			if ( lastTitleButton ) then
				questTitleButton:SetPoint("TOPLEFT", lastTitleButton,"BOTTOMLEFT", 0, -2);
			else
				questTitleButton:SetPoint("TOPLEFT", "AvailableQuestsText", "BOTTOMLEFT", -10, -5);
			end
			questTitleButton:Show();
			if questTitleButton:GetFontString():GetText() and questTitleButton:GetFontString():GetText():find("|cff000000") then
					questTitleButton:GetFontString():SetText(string.gsub(questTitleButton:GetFontString():GetText(), "|cff000000", "|cffffffff"))
			end
			lastTitleButton = questTitleButton;
		end
		m_fontify(GreetingText,"white")
		m_fontify(CurrentQuestsText,"color")
		m_fontify(AvailableQuestsText,"color")
		for i=1, 32 do
			if _G["QuestTitleButton"..i] then
			local button = _G["QuestTitleButton"..i]
				if button:GetFontString() then
					if button:GetFontString():GetText() and button:GetFontString():GetText():find("|cff000000") then
					button:GetFontString():SetText(string.gsub(button:GetFontString():GetText(), "|cff000000", "|cffffffff"))
					end
				end
			end
		end	]]
QuestFrameGreetingPanel.titleButtonPool:ReleaseAll();
		m_fontify(GreetingText,"white")
		m_fontify(CurrentQuestsText,"color")
		m_fontify(AvailableQuestsText,"color")
	--QuestFrameRewardPanel:Hide();
	--QuestFrameProgressPanel:Hide();
	--QuestFrameDetailPanel:Hide();
	--QuestFrame_HideQuestPortrait();
	--local material = QuestFrame_GetMaterial();
	--QuestFrame_SetMaterial(QuestFrameGreetingPanel, material);
	--GreetingText:SetText(GetGreetingText());
	--QuestFrame_SetTextColor(GreetingText, material);
	--QuestFrame_SetTitleTextColor(CurrentQuestsText, material);
	--QuestFrame_SetTitleTextColor(AvailableQuestsText, material);
	local numActiveQuests = GetNumActiveQuests();
	local numAvailableQuests = GetNumAvailableQuests();
	local lastTitleButton = nil;
	if ( numActiveQuests == 0 ) then
		--CurrentQuestsText:Hide();
		--QuestGreetingFrameHorizontalBreak:Hide();
	else
		CurrentQuestsText:SetPoint("TOPLEFT", "GreetingText", "BOTTOMLEFT", 0, -10);
		CurrentQuestsText:Show();
		for i=1, numActiveQuests do
			local questTitleButton = QuestFrameGreetingPanel.titleButtonPool:Acquire();
			local title, isComplete = GetActiveTitle(i);
			if ( IsActiveQuestTrivial(i) ) then
				--questTitleButton:SetFormattedText(TRIVIAL_QUEST_DISPLAY, title);
				--questTitleButton.Icon:SetVertexColor(0.75,0.75,0.75);
				if questTitleButton:GetFontString():GetText() and questTitleButton:GetFontString():GetText():find("|cff000000") then
					questTitleButton:GetFontString():SetText(string.gsub(questTitleButton:GetFontString():GetText(), "|cff000000", "|cffffffff"))
				end
			else
				--questTitleButton:SetFormattedText(NORMAL_QUEST_DISPLAY, title);
				--questTitleButton.Icon:SetVertexColor(1,1,1);
				if questTitleButton:GetFontString():GetText() and questTitleButton:GetFontString():GetText():find("|cff000000") then
					questTitleButton:GetFontString():SetText(string.gsub(questTitleButton:GetFontString():GetText(), "|cff000000", "|cffffffff"))
				end
			end
			if ( isComplete ) then
				if ( IsActiveQuestLegendary(i) ) then
					--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\ActiveLegendaryQuestIcon");
				else
					--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\ActiveQuestIcon");
				end
			else
				--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\IncompleteQuestIcon");
			end
			--questTitleButton:SetHeight(questTitleButton:GetTextHeight() + 2);
			--questTitleButton:SetID(i);
			--questTitleButton.isActive = 1;
			questTitleButton:Show();
			if ( lastTitleButton ) then
				questTitleButton:SetPoint("TOPLEFT", lastTitleButton,"BOTTOMLEFT", 0, -2);
			else
				questTitleButton:SetPoint("TOPLEFT", "CurrentQuestsText", "BOTTOMLEFT", -10, -5);
			end
			questTitleButton:Show();
			lastTitleButton = questTitleButton;
		end
	end
	
	if ( numAvailableQuests == 0 ) then
		AvailableQuestsText:Hide();
		QuestGreetingFrameHorizontalBreak:Hide();
	else
		if ( numActiveQuests > 0 ) then
			QuestGreetingFrameHorizontalBreak:SetPoint("TOPLEFT", lastTitleButton, "BOTTOMLEFT",22,-10);
			QuestGreetingFrameHorizontalBreak:Show();
			AvailableQuestsText:SetPoint("TOPLEFT", "QuestGreetingFrameHorizontalBreak", "BOTTOMLEFT", -12, -10);
		else
			AvailableQuestsText:SetPoint("TOPLEFT", "GreetingText", "BOTTOMLEFT", 0, -10);
		end
		AvailableQuestsText:Show();
		lastTitleButton = nil;
		for i=(numActiveQuests + 1), (numActiveQuests + numAvailableQuests) do
			local questTitleButton = QuestFrameGreetingPanel.titleButtonPool:Acquire();
			local isTrivial, frequency, isRepeatable, isLegendary = GetAvailableQuestInfo(i - numActiveQuests);
			if ( isLegendary ) then
				--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\AvailableLegendaryQuestIcon");
			elseif ( frequency == LE_QUEST_FREQUENCY_DAILY or frequency == LE_QUEST_FREQUENCY_WEEKLY ) then
				--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\DailyQuestIcon");
			elseif ( isRepeatable ) then
				--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\DailyActiveQuestIcon");
			else
				--questTitleButton.Icon:SetTexture("Interface\\GossipFrame\\AvailableQuestIcon");
			end
			if ( isTrivial ) then
				--questTitleButton:SetFormattedText(TRIVIAL_QUEST_DISPLAY, GetAvailableTitle(i - numActiveQuests));
				--questTitleButton.Icon:SetVertexColor(0.5,0.5,0.5);
				--print("trivial")
				
				if questTitleButton:GetFontString():GetText() and questTitleButton:GetFontString():GetText():find("|cff000000") then
					questTitleButton:GetFontString():SetText(string.gsub(questTitleButton:GetFontString():GetText(), "|cff000000", "|cffffffff"))
				end
			else
				--questTitleButton:SetFormattedText(NORMAL_QUEST_DISPLAY, GetAvailableTitle(i - numActiveQuests));
				--questTitleButton.Icon:SetVertexColor(1,1,1);
				--print("not trivial")				
				if questTitleButton:GetFontString():GetText() and questTitleButton:GetFontString():GetText():find("|cff000000") then
					questTitleButton:GetFontString():SetText(string.gsub(questTitleButton:GetFontString():GetText(), "|cff000000", "|cffffffff"))
				end
				
			end
			questTitleButton:SetHeight(questTitleButton:GetTextHeight() + 2);
			questTitleButton:SetID(i - numActiveQuests);
			questTitleButton.isActive = 0;
			questTitleButton:Show();
			if ( lastTitleButton ) then
				questTitleButton:SetPoint("TOPLEFT", lastTitleButton,"BOTTOMLEFT", 0, -2);
			else
				questTitleButton:SetPoint("TOPLEFT", "AvailableQuestsText", "BOTTOMLEFT", -10, -5);
			end
			questTitleButton:Show();
			lastTitleButton = questTitleButton;
		end
	end
end

	QuestFrameGreetingPanel:HookScript("OnShow", miirgui_greetings_panel)
	--QuestFrameGreetingPanel:HookScript("OnEvent", miirgui_greetings_panel)
	--QuestFrameGreetingPanel:HookScript("OnEnter", miirgui_greetings_panel)
	--hooksecurefunc("QuestFrameGreetingPanel_OnShow",miirgui_greetings_panel)
	
	
	QuestFrame:HookScript("OnEvent",function(_,event)
		miirgui_greetings_panel()
		if event == "QUEST_LOG_UPDATE" and QuestInfoRewardsFrame:IsVisible() and not WorldMapFrame:IsVisible() then
			QuestInfoRewardsFrame.spellHeaderPool.textR, QuestInfoRewardsFrame.spellHeaderPool.textG, QuestInfoRewardsFrame.spellHeaderPool.textB = 1,1,1
		elseif event == "QUEST_COMPLETE" and QuestInfoRewardsFrame:IsVisible() and not WorldMapFrame:IsVisible() then
			QuestInfoRewardsFrame.spellHeaderPool.textR, QuestInfoRewardsFrame.spellHeaderPool.textG, QuestInfoRewardsFrame.spellHeaderPool.textB = 1,1,1
		end
	end)



	local function miirgui_QuestFrame()
		local numchildren = QuestInfoRewardsFrame:GetNumChildren()
		for i = 1,numchildren do
			local followerFrame=select(i,QuestInfoRewardsFrame:GetChildren())
			if followerFrame.Class then
				followerFrame.Class:SetAlpha(0)
				followerFrame.BG:ClearAllPoints()
				followerFrame.BG:SetSize(140,39)
				followerFrame.BG:SetPoint("RIGHT",followerFrame,40,3)
				m_SetTexture(followerFrame.BG,"Interface\\AuctionFrame\\UI-AuctionItemNameFrame.blp")
				followerFrame.PortraitFrame.PortraitRing:SetAlpha(0)
				followerFrame.PortraitFrame.LevelBorder:SetAlpha(0)
				followerFrame.PortraitFrame.Portrait:SetTexCoord(0.15, 0.85, 0.15, 0.85)
				m_SetTexture(followerFrame.PortraitFrame.PortraitRingQuality,"Interface\\Buttons\\UI-Quickslot.blp")
				followerFrame.PortraitFrame.PortraitRingQuality:SetSize(84,84)
				followerFrame.PortraitFrame.PortraitRingQuality:ClearAllPoints()
				followerFrame.PortraitFrame.PortraitRingQuality:SetPoint("LEFT",followerFrame.PortraitFrame,-16,2)
				followerFrame.Name:ClearAllPoints()
				followerFrame.Name:SetPoint("TOPLEFT",followerFrame.BG,3,0)
				followerFrame.Name:SetPoint("BOTTOMRIGHT",followerFrame.BG,-6,0)
				m_fontify(followerFrame.Name,"white")
				m_fontify(followerFrame.PortraitFrame.Level,"white")
			end
		end
	end

	QuestFrame:HookScript("OnShow",miirgui_QuestFrame)
	QuestLogPopupDetailFrame:HookScript("OnShow",miirgui_QuestFrame)

	local _,_,_,_,_,_,Bountyboard=WorldMapFrame:GetChildren()
	
	hooksecurefunc(Bountyboard,"RefreshBountyTabs",function(self)
		self.bountyTabPool:ReleaseAll();
		for bountyIndex, bounty in ipairs(self.bounties) do
			local tab = self.bountyTabPool:Acquire();
			
			local _,_,border= tab:GetRegions()
			border:ClearAllPoints()
			border:SetSize(58,58)
			border:SetPoint("CENTER",tab,0.5,2)
			border:SetVertexColor(miirguiDB.color.r,miirguiDB.color.g,miirguiDB.color.b,1)
			m_SetTexture(border,"Interface\\Buttons\\UI-ActionButton-Border.blp")

			tab.Icon:Hide()
			tab.Icon:SetSize(32,32)
			tab.Icon:SetMask(nil)
			tab.EmptyIcon:Hide()
			tab.Icon:Show()
			
			tab.bountyIndex = bountyIndex;
			tab.isEmpty = false;
			self:AnchorBountyTab(tab);
			tab:Show();
			
		end
		for bountyIndex = #self.bounties + 1, self.minimumTabsToDisplay do
			local tab = self.bountyTabPool:Acquire();
			local _,_,border= tab:GetRegions()
			border:ClearAllPoints()
			border:SetSize(58,58)
			border:SetPoint("CENTER",tab,0.5,2)
			border:SetVertexColor(miirguiDB.color.r,miirguiDB.color.g,miirguiDB.color.b,1)
			m_SetTexture(border,"Interface\\Buttons\\UI-ActionButton-Border.blp")
			tab.Icon:Hide();
			tab.EmptyIcon:Show();
			tab.EmptyIcon:SetSize(32,32)
			tab.bountyIndex = bountyIndex;
			tab.isEmpty = true;
			self:AnchorBountyTab(tab);
			tab:Show();
		end
	end)

	WorldMapFrame.BorderFrame.Tutorial.Ring:Hide()
	
end

local m_catch = CreateFrame("Frame")
m_catch:RegisterEvent("PLAYER_LOGIN")
m_catch:SetScript("OnEvent", skin_QuestFrame)
